Show / Hide Table of Contents

# Struct RenderTargetManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Render

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RenderTargetManager

### Fields

| Improve this Doc View Source

#### FarShadowMap_Height

##### Declaration

    public uint FarShadowMap_Height

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FarShadowMap_Width

##### Declaration

    public uint FarShadowMap_Width

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NearShadowMap_Height

##### Declaration

    public uint NearShadowMap_Height

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NearShadowMap_Width

##### Declaration

    public uint NearShadowMap_Width

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Notifier

##### Declaration

    public Notifier Notifier

##### Field Value

Type | Description
--- | ---
Notifier |

| Improve this Doc View Source

#### OffscreenDepthStencil

##### Declaration

    public Texture*OffscreenDepthStencil

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenGBuffer

##### Declaration

    public Texture*OffscreenGBuffer

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_1

##### Declaration

    public Texture*OffscreenRenderTarget_1

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_2

##### Declaration

    public Texture*OffscreenRenderTarget_2

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_3

##### Declaration

    public Texture*OffscreenRenderTarget_3

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_4

##### Declaration

    public Texture*OffscreenRenderTarget_4

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_Unk1

##### Declaration

    public Texture*OffscreenRenderTarget_Unk1

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_Unk2

##### Declaration

    public Texture*OffscreenRenderTarget_Unk2

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### OffscreenRenderTarget_Unk3

##### Declaration

    public Texture*OffscreenRenderTarget_Unk3

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### RenderTargetArray

##### Declaration

    public byte *RenderTargetArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### RenderTargetArray2

##### Declaration

    public byte *RenderTargetArray2

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Resolution_Height

##### Declaration

    public uint Resolution_Height

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Resolution_Width

##### Declaration

    public uint Resolution_Width

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ShadowMap_Height

##### Declaration

    public uint ShadowMap_Height

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ShadowMap_Width

##### Declaration

    public uint ShadowMap_Width

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UnkBool_1

##### Declaration

    public bool UnkBool_1

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static RenderTargetManager*Instance()

##### Returns

Type | Description
--- | ---
RenderTargetManager* |